// Copyright (c) Mito
import React from 'react';
import '../../../css/mutli-toggle-box.css';
/*
  A box that contains a variety of options that can be toggled on and off indivigually.
  
  If optional toggleAllOptions are passed, then a Toggle All button is also displayed
  that toggles all the buttons at once.
*/
const MultiToggleBox = (props) => {
    return (React.createElement("div", { className: 'multi-toggle-box' },
        props.toggleAllOptions !== undefined &&
            React.createElement("div", { key: 'Toggle All' },
                React.createElement("input", { key: 'Toggle All', type: "checkbox", name: 'Toggle All', checked: props.toggleAllOptions.currentToggleAllState, onChange: props.toggleAllOptions.toggleAll, className: "form-check-input" }),
                "Toggle All"),
        props.itemsArray.map((item, index) => {
            const currentToggle = props.itemToggleState[index];
            return (React.createElement("div", { key: item },
                React.createElement("input", { key: item, type: "checkbox", name: item, checked: currentToggle, onChange: () => { props.toggleItemAtIndex(index); }, className: "form-check-input" }),
                item));
        })));
};
export default MultiToggleBox;
//# sourceMappingURL=MultiToggleBox.js.map