// Copyright (c) Mito
import React, { Fragment } from 'react';
import '../../../css/small-select.css';
/*
  A custom select dropdown component created for use in the default taskpane
*/
export var TitleColor;
(function (TitleColor) {
    TitleColor["BLUE"] = "#0081DE";
    TitleColor["DARK"] = "#343434";
})(TitleColor || (TitleColor = {}));
const SmallSelect = (props) => {
    const optionsElements = [];
    props.optionsArray.forEach(option => {
        optionsElements.push((React.createElement("option", { value: option, key: option }, option)));
    });
    /*
        NOTE: because the starting value is not selectable, make sure if its an actual
        option that you want to be selected by default that you elsewhere set the startingValue
        to be selected.

        we use this because in the pivot table screen, we want to be able to have the select dropdown
        default to the title 'add' which is not an aggregation method so should not be able to be clicked.
    */
    return (React.createElement(Fragment, null,
        React.createElement("select", { className: 'small-select', value: props.startingValue, style: { color: props.titleColor }, onChange: (e) => props.setValue(e.target.value) },
            React.createElement("option", { selected: true, hidden: true }, props.startingValue),
            optionsElements)));
};
export default SmallSelect;
//# sourceMappingURL=SmallSelect.js.map