// Copyright (c) Mito
import React from 'react';
// import css
import '../../../css/graph-sidebar/graph-axis.css';
export var GraphAxisType;
(function (GraphAxisType) {
    GraphAxisType["X_AXIS"] = "X axis";
    GraphAxisType["Y_AXIS"] = "Y axis";
})(GraphAxisType || (GraphAxisType = {}));
/*
    Displays the axis of the graph sidebar. The graph axis is surrounded in a green border
    and lets the user click on it to set the axis.
*/
const GraphAxis = (props) => {
    const axisText = props.axis === GraphAxisType.X_AXIS ? 'x' : 'y';
    const axisStyle = `graph-axis-${axisText}-axis`;
    const axisTextStyle = `graph-axis-${axisText}-axis-text`;
    return (React.createElement("div", { className: 'graph-axis-div ' + axisStyle, onClick: () => {
            props.openColumnSelector();
        } },
        props.columnHeader !== undefined &&
            React.createElement("div", { className: axisTextStyle }, props.columnHeader),
        props.columnHeader === undefined &&
            React.createElement("div", { className: axisTextStyle },
                "Click Here to Set ",
                props.axis)));
};
export default GraphAxis;
//# sourceMappingURL=GraphAxis.js.map