// Copyright (c) Mito
import React from 'react';
// import css
import '../../../css/graph-sidebar/graph-column-selector.css';
import ColumnSelectorColumnCard from './ColumnSelectorColumnCard';
import XIcon from '../icons/XIcon';
import { GraphAxisType } from './GraphAxis';
import { useComponentVisible } from '../elements/CustomDropdown';
/*
    This functional component displays the column selector popup in the graph sidebar.
    The popup lets the user set the axises of their graph.
*/
const GraphColumnSelector = (props) => {
    // Closes the column selector popup when the user clicks off of it. 
    const { ref } = useComponentVisible(() => props.closeColumnSelector());
    const columnSelectorCards = props.columnHeaders.map((columnHeader) => {
        const isSelected = columnHeader === props.selectedColumnHeader;
        return (React.createElement(ColumnSelectorColumnCard, { key: columnHeader, isSelected: isSelected, columnHeader: columnHeader, columnType: props.columnTypes[columnHeader], setAxis: () => {
                if (!isSelected) {
                    // If not selected, select it
                    props.setAxis(props.axis, columnHeader);
                }
                else {
                    // If selected, unselect
                    props.setAxis(props.axis, undefined);
                }
            } }));
    });
    const header = props.axis === GraphAxisType.X_AXIS ? "X Axis Column" : "Y Axis Column";
    return (React.createElement("div", { className: 'graph-column-selector-div', ref: ref },
        React.createElement("div", { className: 'graph-column-selector-header-div' },
            React.createElement("div", null, header),
            React.createElement("div", { className: 'mt-5px', onClick: () => props.closeColumnSelector() },
                React.createElement(XIcon, null))),
        React.createElement("div", { className: 'graph-column-selector-body-div' }, columnSelectorCards)));
};
export default GraphColumnSelector;
//# sourceMappingURL=GraphColumnSelector.js.map