// Copyright (c) Mito
import React from 'react';
import { ModalEnum } from '../Mito';
// import css
import "../../../css/default-modal.css";
/*
    A modal that asks the user to sign up for a demo
*/
const BookDemoModal = (props) => {
    const bookDemo = (e) => {
        // Prevent the page from reloading when the form submits
        e.preventDefault();
        // Open a new tab to the Hubspot demo booking screen w/ the email already filled in
        window.open(`https://meetings.hubspot.com/nate301/mito-early-access-check-in?utm_campaign=Mito&utm_source=in-app-demo-signup&email=${props.userEmail}`, '_blank');
        props.setModal({ type: ModalEnum.None });
    };
    return (React.createElement("div", { className: 'modal-container' },
        React.createElement("div", { className: 'modal' },
            React.createElement("div", { className: 'modal-header-text-div' },
                React.createElement("p", null, 'Help us Improve Mito')),
            React.createElement("div", { className: "modal-message" },
                React.createElement("p", null, "Book an onboarding. Once we get to know you, we can help you with your analysis and build new features just for you!"),
                React.createElement("div", { className: 'modal-buttons' },
                    React.createElement("div", { className: 'modal-close-button modal-dual-button-left', onClick: () => { props.setModal({ type: ModalEnum.None }); } }, " Close "),
                    React.createElement("form", { onSubmit: (e) => bookDemo(e) },
                        React.createElement("button", { className: 'modal-action-button', type: 'submit', autoFocus: true },
                            " ",
                            "Book a Demo")))))));
};
export default BookDemoModal;
//# sourceMappingURL=BookDemoModal.js.map