// Copyright (c) Mito
import React, { Fragment, useEffect } from 'react';
import { ModalEnum } from '../Mito';
// import css
import "../../../css/default-modal.css";
import DefaultModal from '../DefaultModal';
/*
    A modal that appears and tells the user to upgrade to the
    new version of Mito, by going to the documentation
*/
const UpgradeModal = (props) => {
    useEffect(() => {
        // We log the opening of the upgrade modal
        void props.mitoAPI.sendLogMessage('opened_upgrade_modal');
    }, []);
    const onUpgrade = () => {
        // Log if the user clicked upgrade
        void props.mitoAPI.sendLogMessage('clicked_upgrade');
        // And then manually mark as upgraded (assuming they did it, so they
        // don't get an annoying popup a bunch of times).
        void props.mitoAPI.manuallyMarkUpgraded();
        // Open the upgrading docs
        window.open(`https://docs.trymito.io/how-to/upgrading-mito`, '_blank');
        props.setModal({ type: ModalEnum.None });
    };
    const onClose = () => {
        // Log that the user closed the modal
        void props.mitoAPI.sendLogMessage('closed_upgrade_modal');
        // Actually close it
        props.setModal({ type: ModalEnum.None });
    };
    return (React.createElement(DefaultModal, { header: `Upgrade for New Functionality`, modalType: ModalEnum.Upgrade, viewComponent: React.createElement(Fragment, null,
            React.createElement("p", null, "The Mito team moves fast. Since you last updated, we\u2019ve added a bunch of shiny new things to play with, and polished the old stuff. Upgrade now to try it out!")), buttons: React.createElement(Fragment, null,
            React.createElement("div", { className: 'modal-close-button modal-dual-button-left', onClick: onClose }, " Close "),
            React.createElement("div", { className: 'modal-action-button modal-dual-button-right', onClick: onUpgrade }, " Upgrade")) }));
};
export default UpgradeModal;
//# sourceMappingURL=UpgradeModal.js.map