import React from 'react';
import { Filter } from './Filter';
import '../../../../../css/filter-card.css';
/*
    Component that contains a group of filters
*/
export default function FilterGroup(props) {
    return (React.createElement("div", { className: "filter-group filter-object-item" },
        props.filters.map((filter, index) => {
            return (React.createElement(Filter, { first: index === 0, key: index, filter: filter, operator: props.groupOperator, displayOperator: true, setFilter: (newFilter) => {
                    props.setFilter(index, newFilter);
                }, setOperator: props.setOperator, deleteFilter: () => { props.deleteFilter(index); } }));
        }),
        React.createElement("div", { className: 'filter-add-filter-button', onClick: props.addFilter }, "+ Add a Filter")));
}
//# sourceMappingURL=FilterGroup.js.map