// Copyright (c) Mito
// Distributed under the terms of the Modified BSD License.
import React, { Fragment } from 'react';
import DefaultTaskpane from '../DefaultTaskpane';
import BlueMitoFolk from '../../icons/mitofolks/BlueMitoFolk';
/*
    Taskpane that thanks the user for submitting feedback,
    because we really do appreciate it!
*/
function FeedbackThanksTaskpane(props) {
    return (React.createElement(DefaultTaskpane, { header: 'Thanks for the Feedback!', setCurrOpenTaskpane: props.setCurrOpenTaskpane, taskpaneBody: React.createElement(Fragment, null,
            React.createElement("p", { className: 'txt-16 mb-5px' },
                "If you ever have more feedback, you can find the feedback page through the ",
                React.createElement("b", null, "Docs"),
                " button in the toolbar above."),
            React.createElement(BlueMitoFolk, { bounce: true, loops: '3', margin: '75px 65px' })), 
        /* We put a funky-dunky gradient on the taskpane, for fun and profit */
        backgroundImage: 'linear-gradient(#FFEBEB, #FFE6C8)' }));
}
export default FeedbackThanksTaskpane;
//# sourceMappingURL=FeedbackThanksTaskpane.js.map